[SCM] Samba Shared Repository - branch master updated - 10f65cc4ca5a48b6f4dc8c4de23e59628b6f95b2

Tim Prouty tprouty at samba.org
Fri Oct 10 02:17:17 GMT 2008


The branch, master has been updated
       via  10f65cc4ca5a48b6f4dc8c4de23e59628b6f95b2 (commit)
       via  9b331df4124118f3957c281023fe8dd11edd44be (commit)
      from  decd04d946287729866f6b43648d34650211b073 (commit)

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 10f65cc4ca5a48b6f4dc8c4de23e59628b6f95b2
Author: Tim Prouty <tprouty at samba.org>
Date:   Wed Oct 8 11:06:18 2008 -0700

    remove common lib object files on make cleanlib from source3
    
    source4 already cleans up the object files on make clean.  This patch
    modifies source3 to also do this.

commit 9b331df4124118f3957c281023fe8dd11edd44be
Author: Tim Prouty <tprouty at samba.org>
Date:   Wed Oct 8 11:48:01 2008 -0700

    Add support for autogen to take a --version-file argument

-----------------------------------------------------------------------

Summary of changes:
 source3/Makefile.in |    4 ++++
 source3/autogen.sh  |   14 +++++++++++++-
 source4/autogen.sh  |   14 +++++++++++++-
 3 files changed, 30 insertions(+), 2 deletions(-)


Changeset truncated at 500 lines:

diff --git a/source3/Makefile.in b/source3/Makefile.in
index 18581ba..175dcb3 100644
--- a/source3/Makefile.in
+++ b/source3/Makefile.in
@@ -2660,6 +2660,10 @@ uninstallpammodules::
 # Toplevel clean files
 TOPFILES=dynconfig.o
 
+cleanlibs::
+	-rm -f ../lib/*/*.o ../lib/*/*/*.o \
+		../libcli/*.o ../libcli/*/*.o
+
 clean:: cleanlibs
 	-rm -f include/build_env.h
 	-rm -f smbd/build_options.c
diff --git a/source3/autogen.sh b/source3/autogen.sh
index deed774..61316a8 100755
--- a/source3/autogen.sh
+++ b/source3/autogen.sh
@@ -2,6 +2,18 @@
 
 # Run this script to build samba from GIT.
 
+while true; do
+    case $1 in
+	(--version-file)
+	    VERSION_FILE=$2
+	    shift 2
+	    ;;
+	(*)
+	    break
+	    ;;
+    esac
+done
+
 ## insert all possible names (only works with 
 ## autoconf 2.x)
 TESTAUTOHEADER="autoheader autoheader-2.53 autoheader2.50 autoheader259 autoheader253"
@@ -48,7 +60,7 @@ if test "$AUTOCONFFOUND" = "0" -o "$AUTOHEADERFOUND" = "0"; then
 fi
 
 echo "$0: running script/mkversion.sh"
-./script/mkversion.sh || exit 1
+./script/mkversion.sh $VERSION_FILE || exit 1
 
 rm -rf autom4te*.cache
 rm -f configure include/config.h*
diff --git a/source4/autogen.sh b/source4/autogen.sh
index a56c5a2..9984712 100755
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -2,6 +2,18 @@
 
 # Run this script to build samba from git.
 
+while true; do
+    case $1 in
+	(--version-file)
+	    VERSION_FILE=$2
+	    shift 2
+	    ;;
+	(*)
+	    break
+	    ;;
+    esac
+done
+
 ## insert all possible names (only works with
 ## autoconf 2.x)
 TESTAUTOHEADER="autoheader autoheader-2.53 autoheader2.50 autoheader259 autoheader253"
@@ -48,7 +60,7 @@ if test "$AUTOCONFFOUND" = "0" -o "$AUTOHEADERFOUND" = "0"; then
 fi
 
 echo "$0: running script/mkversion.sh"
-./script/mkversion.sh || exit 1
+./script/mkversion.sh $VERSION_FILE || exit 1
 
 rm -rf autom4te*.cache
 rm -f configure include/config_tmp.h*


-- 
Samba Shared Repository


More information about the samba-cvs mailing list